*************************************************************************************
***THIS FILE RECODES THE 2009 CCES DATA FOR THE WITHIN PERSON ANALYSIS REPORTED IN***
*** GERBER ET AL. (2012): CITIZENS' POLICY CONFIDENCE AND ELECTORAL PUNISHMENT*******
*************************************************************************************

*tokenize `"" (Teen Pregnancy)"" (Same Sex Marriage)"" (Job Creation)"" (Banking Regulation)""'
tokenize `""""""""""'
foreach i in teen ssex jobs bank{

 *Importance Interactions
 gen Impt_pid_`i' = pid5 * imp_`i'
 label var Impt_pid_`i' "Rel. Impt. X PID`1' (-1 to 1)"

 gen Impt_pos_`i' = pos_`i' * imp_`i'
 label var Impt_pos_`i' "Rel. Impt. X Position`1' (-1 to 1)"

 gen Impt_rpos_`i' = rpos_`i' * imp_`i'
 label var Impt_rpos_`i' "Rel. Impt. X Rep's position`1' (0-1)"

 gen Impt_rparty_`i' = rparty_`i' * imp_`i'
 label var Impt_rparty_`i' "Rel. Impt. X Rep's party`1' (-1 to 1)"

 gen Impt_posXRpos_`i' = posXRpos_`i' * imp_`i'
 label var Impt_posXRpos_`i' "Rel. Impt. X Policy Agreement`1' (-1=Dis. to 1=Agg.)"
 
 gen Impt_pidXRpid_`i' = pidXRpid_`i'  * imp_`i'
 label var Impt_pidXRpid_`i' "Rel. Impt. X Party agreement`1' (-1 to 1)"

 gen Impt_Zbothagree_`i' = Zbothagree_`i'  * imp_`i'
 label var Impt_Zbothagree_`i' "Rel. Impt. X Party x Policy agreement`1' (-1 to 1)"
 
 *Agreement (Party and Policy) * Confidence
 gen Conf_pid_`i' = pid5 * conf_`i'
 label var Conf_pid_`i' "Rel. Conf. X PID`1' (-1 to 1)"

 gen Conf_pos_`i' = pos_`i' * conf_`i'
 label var Conf_pos_`i' "Rel. Conf. X Position`1' (-1 to 1)"

 gen Conf_rpos_`i' = rpos_`i' * conf_`i'
 label var Conf_rpos_`i' "Rel. Conf. X Rep's position`1' (0-1)"

 gen Conf_rparty_`i' = rparty_`i' * conf_`i'
 label var Conf_rparty_`i' "Rel. Conf. X Rep's party`1' (-1 to 1)"

 gen Conf_posXRpos_`i' = posXRpos_`i' * conf_`i'
 label var Conf_posXRpos_`i' "Rel. Conf. X Policy Agreement`1' (-1=Dis. to 1=Agg.)"
 
 gen Conf_pidXRpid_`i' = pidXRpid_`i'  * conf_`i'
 label var Conf_pidXRpid_`i' "Rel. Conf. X Party agreement`1' (-1 to 1)"

 gen Conf_Zbothagree_`i' = Zbothagree_`i' * conf_`i'
 label var Conf_Zbothagree_`i' "Rel. Conf. X Party x Policy agreement`1' (-1 to 1)"

 mac shift 
}

